Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class ReadOnlyStateChecker

    java.lang.Object
      org.eclipse.ui.actions.ReadOnlyStateChecker

public class ReadOnlyStateChecker
extends Object

The ReadOnlyStateChecker is a helper class that takes a set of resource some of which may be read only and queries the user as to whether or not they wish to continue the operation on it.

Constructor Summary
`ReadOnlyStateChecker(Shell parent, String title, String message)` Create a new checker that parents the dialog off of parent using the supplied title and message.

Method Summary
`IResource[]` | `checkReadOnlyResources(IResource[] itemsToCheck)` Check the supplied resources to see if they are read only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadOnlyStateChecker

    public ReadOnlyStateChecker(Shell parent,
                                String title,
                                String message)

  Create a new checker that parents the dialog off of parent using the supplied title and message.

Parameters:
  `parent` - the shell used for dialogs
  `title` - the title for dialogs
  `message` - the message for a dialog - this will be prefaced with the name of the resource.

Method Detail

### checkReadOnlyResources

    public IResource[] checkReadOnlyResources(IResource[] itemsToCheck)

  Check the supplied resources to see if they are read only. If so then prompt the user to see if they can be deleted.Return those that were accepted.

  Returns:
    the resulting selected resources

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.